# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/adi,adau7002.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Analog Devices ADAU7002 Stereo PDM-to-I2S/TDM Converter

maintainers:
  - Krzysztof Kozlowski <krzk@kernel.org>

allOf:
  - $ref: dai-common.yaml#

properties:
  compatible:
    const: adi,adau7002

  IOVDD-supply:
    description:
      IOVDD power supply, if skipped then it is assumed that the supply pin is
      hardwired to always on.

  wakeup-delay-ms:
    description:
      Delay after power up needed for device to settle.

required:
  - compatible

unevaluatedProperties: false

examples:
  - |
    audio-codec {
        compatible = "adi,adau7002";
        IOVDD-supply = <&pp1800_l15a>;
        #sound-dai-cells = <0>;
        wakeup-delay-ms = <80>;
    };
